<template>
  <v-card>
    <v-toolbar>
      <v-app-bar-nav-icon @click="navBar = true">
      </v-app-bar-nav-icon>
      <v-toolbar-title> J-OSS </v-toolbar-title>
    </v-toolbar>
    <v-navigation-drawer v-model="navBar">
      <v-toolbar>
        Navigation
      </v-toolbar>
    </v-navigation-drawer>
    <v-btn @click="setAlert()" tabindex="1" color="red"></v-btn>
  </v-card>
</template>

<script>
module.exports = {
  name: "Main-Window",
  data: () => {
    return {
      navbar: false,
    };
  },
  created() {
    window.addEventListener("keydown", (e) => {
      this.determineHoverIcon(e);
    });
    // const electron = require('electron');
    console.log(app);
  },
  methods: {
    setAlert() {
      alert("hello");
    },
    determineHoverIcon(e) {
      console.log(e);
    },
  },
};
</script>